- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Smart_Data Struct Reference

## Data Fields
Evas_Coord | x
| horizontal coordinate
Evas_Coord | y
| vertical coordinate
Evas_Coord | w
| width
Evas_Coord | h
| height
Eina_List * | children
| list of children
Evas_Object * | smart_obj
| actual smart object
int | cols
| columns count
int | rows
| rows count
Evas_Coord | contents_w
| contents width
Evas_Coord | contents_h
| contents height
Evas_Coord | min_row_h
| minimum row height
Evas_Coord | max_row_h
| maximum row height
Evas_Coord | min_w
| minimum width
Evas_Coord | max_w
| maximum width
Evas_Coord | min_h
| minimum height
Evas_Coord | max_h
| maximum height
Smart_Data_Colinfo * | colinfo
int | freeze
double | scroll_x
| horizontal scroll
double | scroll_y
| vertical scroll
double | align_x
| horizontal alignment
double | align_y
| vertical alignment
unsigned char | changed: 1
| some property changed
unsigned char | change_child: 1
| a child changed
unsigned char | change_child_list: 1
| child list changed
unsigned char | change_cols: 1
| columns changed
unsigned char | change_scroll: 1
| scroll changed
unsigned char | need_layout: 1
| layout computation needed
unsigned char | homogenous: 1
| homogeneous layout